Quote
Create Quote
Creates a new quote request with documents from external URLs.
POST
/
quotes
Create Quote
curl --request POST \
--url https://api.fortiseval.com/v1/quotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"desired_equivalency": "<string>",
"source_language": "<string>",
"target_language": "<string>",
"reference": "<string>",
"notes": "<string>",
"team": "<string>",
"document_urls": [
"<string>"
],
"document_ids": [
"<string>"
],
"candidate": {
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>"
},
"cc_emails": [
"jsmith@example.com"
]
}
'import requests
url = "https://api.fortiseval.com/v1/quotes"
payload = {
"desired_equivalency": "<string>",
"source_language": "<string>",
"target_language": "<string>",
"reference": "<string>",
"notes": "<string>",
"team": "<string>",
"document_urls": ["<string>"],
"document_ids": ["<string>"],
"candidate": {
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>"
},
"cc_emails": ["jsmith@example.com"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
desired_equivalency: '<string>',
source_language: '<string>',
target_language: '<string>',
reference: '<string>',
notes: '<string>',
team: '<string>',
document_urls: ['<string>'],
document_ids: ['<string>'],
candidate: {first_name: '<string>', middle_name: '<string>', last_name: '<string>'},
cc_emails: ['jsmith@example.com']
})
};
fetch('https://api.fortiseval.com/v1/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Quote request created successfully.",
"data": {
"id": "<string>",
"url": "<string>",
"number": "<string>",
"status": "pending",
"quote_type": "translation",
"requested_turnaround": "standard",
"tat_value": 123,
"tat_range": "hour",
"turnaround_label": "<string>",
"has_guaranteed_delivery": true,
"guaranteed_delivery_at": "<string>",
"total_cents": 123,
"total": "<string>",
"expires_at": "<string>",
"requested_at": "<string>",
"approved_at": "<string>",
"canceled_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"items": [
{
"quantity": 123,
"price": 123,
"subtotal": 123,
"currency": "<string>",
"service_name": "<string>",
"service_code": "<string>"
}
],
"cart": {
"id": "<string>",
"number": "<string>",
"status": "in_progress",
"payment_status": "paid",
"is_individual": true,
"turnaround_type": "standard",
"translation_preference_type": "documents_in_english",
"physical_copy": true,
"cc_emails": [
"<string>"
],
"subtotal": 123,
"total": 123,
"last_activity_at": "<string>",
"unsubscribed_at": "<string>",
"paid_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"documents": [
{
"id": "<string>",
"title": "<string>",
"document_type": "credential_evaluation",
"document_category": "vital",
"document_role": "source",
"file_name": "<string>",
"file_ext": "<string>",
"mime_type": "<string>",
"size": 123,
"page_count": 123,
"word_count": 123,
"character_count": 123,
"source_language_code": "<string>",
"source_language": "<string>",
"metadata": [
"<unknown>"
],
"analysis_completed_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]
}
}{
"message": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Service type
Available options:
translation, academic_evaluation, expert_opinion_letter, perm_ad Academic evaluation specific
Available options:
diploma_evaluation, course_by_course_evaluation, work_experience_evaluation Maximum string length:
255Available options:
client_provided, translation_service Expert letter specific
Available options:
work_experience_evaluation_letter, h1b_expert_opinion_letter, specialty_occupation_letter, tn_expert_opinion_letter, perm_expert_opinion_letter, specialized_knowledge_expert_letter, managerial_capacity_expert_letter, extraordinary_ability_expert_letter, national_interest_waiver_expert_letter, general_academic_evaluation, course_mapping_letter, custom_letter Translation specific
Maximum string length:
50Maximum string length:
50Turnaround
Available options:
standard, next_day, same_day, expedited Client details
Maximum string length:
255Maximum string length:
10000Team assignment
Documents - external URLs and/or ids of files staged via the files API
Required array length:
1 - 50 elementsMaximum string length:
2048Required array length:
1 - 50 elementsMaximum string length:
255Candidate information
Show child attributes
Show child attributes
Maximum array length:
10Maximum string length:
255Create Quote
